Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Class RefactorActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.jdt.ui.actions.RefactorActionGroup

public class RefactorActionGroup
extends ActionGroup

Action group that adds refactor actions (for example 'Rename', 'Move') to a context menu and the global menu bar.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Field Summary
`static String` | `GROUP_CODING` Pop-up menu: id of the coding group of the refactor sub menu (value `codingGroup`).
`static String` | `GROUP_REORG` Pop-up menu: id of the reorg group of the refactor sub menu (value `reorgGroup`).
`static String` | `GROUP_TYPE` Pop-up menu: id of the type group of the refactor sub menu (value `typeGroup`).
`static String` | `MENU_ID` Pop-up menu: id of the refactor sub menu (value `org.eclipse.jdt.ui.refactoring.menu`).

Constructor Summary
`RefactorActionGroup(org.eclipse.jdt.internal.ui.javaeditor.CompilationUnitEditor editor, String groupName)` Note: This constructor is for internal use only.
`RefactorActionGroup(IViewPart part)` Creates a new `RefactorActionGroup`.
`RefactorActionGroup(Page page)` Creates a new `RefactorActionGroup`.

Method Summary
`void` | `dispose()`
`void` | `fillActionBars(IActionBars actionBars)`
`void` | `fillContextMenu(IMenuManager menu)`
`void` | `retargetFileMenuActions(IActionBars actionBars)` Retargets the File actions with the corresponding refactoring actions.

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MENU_ID

    public static final String MENU_ID

  Pop-up menu: id of the refactor sub menu (value `org.eclipse.jdt.ui.refactoring.menu`).

  Since:
    2.1
  See Also:
    Constant Field Values

### GROUP_REORG

    public static final String GROUP_REORG

  Pop-up menu: id of the reorg group of the refactor sub menu (value `reorgGroup`).

  Since:
    2.1
  See Also:
    Constant Field Values

### GROUP_TYPE

    public static final String GROUP_TYPE

  Pop-up menu: id of the type group of the refactor sub menu (value `typeGroup`).

  Since:
    2.1
  See Also:
    Constant Field Values

### GROUP_CODING

    public static final String GROUP_CODING

  Pop-up menu: id of the coding group of the refactor sub menu (value `codingGroup`).

  Since:
    2.1
  See Also:
    Constant Field Values

Constructor Detail

### RefactorActionGroup

    public RefactorActionGroup(IViewPart part)

  Creates a new `RefactorActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### RefactorActionGroup

    public RefactorActionGroup(Page page)

  Creates a new `RefactorActionGroup`. The action requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

### RefactorActionGroup

    public RefactorActionGroup(org.eclipse.jdt.internal.ui.javaeditor.CompilationUnitEditor editor,
                               String groupName)

  Note: This constructor is for internal use only. Clients should not call this constructor.

Method Detail

### fillActionBars

    public void fillActionBars(IActionBars actionBars)

### retargetFileMenuActions

    public void retargetFileMenuActions(IActionBars actionBars)

  Retargets the File actions with the corresponding refactoring actions.

  Parameters:
    `actionBars` - the action bar to register the move and rename action with

### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

### dispose

    public void dispose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.